




{% extends 'base.html.twig' %}
{% block title %}    Liste des Rubriques{% endblock %}
{% block body %}


    <div class="page-header">

        <h1>
            Rubrique    
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                Liste des Rubriques
            </small>
        </h1>  
        <div    align="right"style="margin-right: 15px">

            <a id="add" href="{{ path('prubrique_new') }}" class="btn btn-white btn-info btn-bold">
                <i class="ace-icon fa fa-pencil bigger-120"></i>
               nouvelle Rubrique
            </a>

        </div>
    </div>
    <div class="alert alert-block alert-danger message_flash1" style="display:none;">
    </div>
    <div class="alert alert-block alert-success message_flash2" style="display:none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>
    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}
    {% for flash_message in app.session.flashBag.get('error') %}
        <div class="alert alert-block alert-danger message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}


    <div class="row">
        <div class="col-xs-12">

            <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Designation</th>
                        <th>Abreviation</th>
                        <th class="param-table-txt">Modifier</th>
                        <th class="param-table-txt">Consulter</th>
                        <th class="param-table-txt">Supprimer</th>
                        


                    </tr>
                </thead>
            </table>


        </div>

    </div>





{% endblock %}
{% block javascripts %}
    {{ parent() }}

    <script>


        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });


        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 10,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "asc"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                "processing": true
            },
            "serverSide": false,
            "ajax": {
                url: Routing.generate('rubrique_list'), // json datasource
                type: "get"

            }
        });






        $('#grid').on('click', '.delete_action', function (event) {
            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Souhaitez-vous supprimer cet enregistrement? </h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Annuler'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {
                    if (confirmation == true) {
                        $(".message_flash1").hide();
                        $(".message_flash2").hide();
                        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");

                        $.ajax({
                            url: Routing.generate('prubrique_delete', {id: id}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                $(".message_flash_info").hide();
                                $(".message_flash1").hide();
                                $(".message_flash2").hide();
                                if (parsed.a == 1) {

                                    $(".message_flash2").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable.ajax.reload();
                                } else {
                                    $(".message_flash1").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")

                                }


                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });

   



    </script>

{% endblock %}
